Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryDefaultPeriodType

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryPeriodType
          com.verisign.epp.codec.registry.EPPRegistryDefaultPeriodType

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryDefaultPeriodType

extends EPPRegistryPeriodType

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME`

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`number, PERIOD_UNIT_DAY, PERIOD_UNIT_HOUR, PERIOD_UNIT_MONTH, PERIOD_UNIT_YEAR, rootName, unit, VALID_UNITS`

Constructor Summary
`EPPRegistryDefaultPeriodType()`
`EPPRegistryDefaultPeriodType(java.lang.Integer n, java.lang.String unit)`
`EPPRegistryDefaultPeriodType(int number, java.lang.String unit)`

Method Summary
`boolean` | `equals(java.lang.Object aObject)`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryPeriodType
`clone, decode, encode, getNumber, getRootName, getUnit, setNumber, setUnit, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

See Also:
  Constant Field Values

Constructor Detail

### EPPRegistryDefaultPeriodType

    public EPPRegistryDefaultPeriodType()

### EPPRegistryDefaultPeriodType

    public EPPRegistryDefaultPeriodType(java.lang.Integer n,
                                        java.lang.String unit)

### EPPRegistryDefaultPeriodType

    public EPPRegistryDefaultPeriodType(int number,
                                        java.lang.String unit)

Method Detail

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `EPPRegistryPeriodType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.